CREATE procedure [C6Staging].[RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_S4_S5_S13_TRAD_UNTIL_LIV3
	insert into c6staging.RP_S4_S5_S13_TRAD_UNTIL_LIV3
	select * from [CONSUNI].[ConsulenzaUnica].[dbo].[REP_S4_S5_S13_TRAD_UNTIL_LIV3]
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3'
		)
end